PoliciesReorder
Reorder policies within or across categories.
Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
policyId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidnewCategoryId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidnewOrder*integer
Range
0 <= value <= 9007199254740991organizationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.devguard.ch/api/policies/reorder/" \ -H "Content-Type: application/json" \ -d '{ "policyId": "2f5573e6-5ba4-48f2-a75d-df99c936463b", "newCategoryId": "3bbc397d-c7dc-41f4-8bd6-eeb70f130e15", "newOrder": 9007199254740991, "organizationId": "string" }'{
"success": true
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}How is this guide?